也许颓废也是 ... 另一种美
一个学习了N年还是小白的网络爱好者 ...

升级avconv使youtube-dl在ubuntu 12.04上正常运行

起因:youtube-dl合并音视频的时候提示如下错误

WARNING: Your copy of avconv is outdated, update avconv to version 10-0 or newer if you encounter any errors.

故:升级avconv

1.) Make a directory avconv-source

mkdir avconv-source

2.) Download and install the x264 library

cd ~/avconv-source
git clone git://git.videolan.org/x264.git x264
cd x264
sudo ./configure --enable-static
sudo make
sudo make install

3.) Download the avconv source

cd ~/avconv-source
git clone git://git.libav.org/libav.git avconv
cd avconv
sudo ./configure
sudo ./configure --enable-gpl --enable-libx264
sudo make
sudo make install

我根据上面操作后发现avconv make install 后没有出现在/usr/bin下,而是在/root/tamp/avconv-source/avconv下,使用
avconv -version
查看avconv版本的时候显示的还是旧版,所以我们还要在输入以下命令

cp /root/tamp/avconv-source/avconv/avconv /usr/bin

未经允许不得转载:颓废的美 » 升级avconv使youtube-dl在ubuntu 12.04上正常运行
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址